export default abstract class Node {
    private invalidationTimeout;
    protected autoInvalidateChildren: boolean;
    parents: Node[];
    children: Node[];
    connect(...children: Node[]): void;
    disconnect(...children: Node[]): void;
    protected addParent(parent: Node): void;
    protected removeParent(parent: Node): void;
    protected invalidateConnections(): void;
    getOutputAudioNodes(): AudioNode[];
    destroy(): void;
}
